Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006635OCaml~DO NOT USE (was: OCaml general)public2014-10-28 16:232016-12-07 11:47
Reporteryallop 
Assigned Toyallop 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.02.3+devFixed in Version4.03.0+dev / +beta1 
Summary0006635: Support local open syntax for empty delimiters M.[], M.() etc.
DescriptionFor uniformity it'd be nice if the local open syntax supported empty delimiters:

   # String.[| 1; 2 |];;
   - : int array = [|1; 2|]
   # String.[| 1 |];;
   - : int array = [|1|]
   # String.[| |];;
   Characters 11-13:
     String.[| |];;
                ^^
Tagsjunior_job, patch
Attached Files

- Relationships
related to 0006054closed Also support M.[] and M.{} like M.() 

-  Notes
(0012950)
doligez (administrator)
2014-12-22 22:09

Indeed.
(0013296)
gasche (administrator)
2015-02-16 17:18

Note: a patch for this is proposed in
  https://github.com/ocaml/ocaml/pull/144 [^]
(0013669)
gasche (administrator)
2015-04-12 11:55

Patch merged in trunk.

- Issue History
Date Modified Username Field Change
2014-10-28 16:23 yallop New Issue
2014-10-28 16:24 yallop Relationship added related to 0006054
2014-10-28 16:39 gasche Tag Attached: iPhone
2014-10-28 16:42 yallop Tag Detached: iPhone
2014-10-28 16:59 yallop Tag Attached: junior_job
2014-12-22 22:09 doligez Note Added: 0012950
2014-12-22 22:09 doligez Status new => acknowledged
2015-01-13 21:20 doligez Target Version => 4.02.2+dev / +rc1
2015-02-16 17:18 gasche Note Added: 0013296
2015-03-16 11:44 yallop Tag Attached: patch
2015-03-18 17:55 frisch Target Version 4.02.2+dev / +rc1 => 4.02.3+dev
2015-04-12 11:55 gasche Note Added: 0013669
2015-04-12 11:55 gasche Status acknowledged => resolved
2015-04-12 11:55 gasche Fixed in Version => 4.03.0+dev / +beta1
2015-04-12 11:55 gasche Resolution open => fixed
2015-04-12 11:55 gasche Assigned To => yallop
2016-12-07 11:47 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker